[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: sitesummary: fails to install / configure apache



I noticed I had some patches for sitesummary left behind from when I
looked at this issue.  It would check if a module was available before
enabling it, and enable more modules.  Is this patch still relevant?

diff --git a/debian/sitesummary.postinst b/debian/sitesummary.postinst
index 83eff31..058aabd 100644
--- a/debian/sitesummary.postinst
+++ b/debian/sitesummary.postinst
@@ -91,7 +91,15 @@ case "$1" in
 
         if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
             . /usr/share/apache2/apache2-maintscript-helper
-            apache2_invoke enmod cgi.load
+            if ! a2query -qm include; then
+                apache2_invoke enmod include
+            fi
+            if ! a2query -qm rewrite; then
+                apache2_invoke enmod rewrite
+            fi
+            if ! a2query -qm cgi.load; then
+               apache2_invoke enmod cgi.load
+            fi
             apache2_invoke enconf sitesummary.conf
         fi
 

My original patch would enable the cgi module, not the cgi.load module.
Perhaps it take care of the include and rewrite module too?

-- 
Happy hacking
Petter Reinholdtsen


Reply to: